<div id="buildings" class="page-layout carded fullwidth inner-scroll">
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <div class="center">
        <!-- HEADER -->
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="start center"
                style="max-height: 90px !important; min-height: 90px !important; margin-top: -20px;">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    attach_money
                </mat-icon>
                <div style="background-color:white;" class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon style="color:#444;">search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search">
                    </div>
                </div>
            </div>
            <div>
                <mat-paginator style="border-radius: 32px;height: 50px;
                margin-top: -21px; align-items: center;display: flex;"  #paginatorRef  [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator>
            </div>





        </div>
        <!-- / HEADER -->

        <!-- ADD BUTTON -->
        <!-- <button class="add-button" mat-fab color="primary" id="add-button" (click)="addCustomer()">
            <mat-icon>add</mat-icon>
        </button> -->
        <button class="scroll-button" mat-fab color="primary" id="add-button" (click)="container.scrollTo(0,0)">
            <mat-icon>arrow_upward</mat-icon>
        </button>

        <!-- CONTENT CARD -->
        <div #container class="content-card" style="overflow: auto;
        max-height: 608px;
        margin-top: -60px;">
            <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort class="mat-elevation-z8">
                <!-- First Name Column -->
                <ng-container matColumnDef="ID">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>ID</mat-header-cell>
                    <mat-cell *matCellDef="let paymentList;let i=dataIndex">
                        <p class="text-truncate">{{ paginatorRef.pageIndex * paginatorRef.pageSize + i + 1}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Customer">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Customer</mat-header-cell>
                    <mat-cell *matCellDef="let paymentList">
                        <p class="text-truncate">{{paymentList.fullName}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Vehicle">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Vehicle</mat-header-cell>
                    <mat-cell *matCellDef="let paymentList">
                        <p class="text-truncate">{{paymentList.vehicle}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Cleaner">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Cleaner</mat-header-cell>
                    <mat-cell *matCellDef="let paymentList">
                        <p class="text-truncate">{{paymentList.cleaner}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Start Date">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Start Date </mat-header-cell>
                    <mat-cell *matCellDef="let paymentList">
                        <p class="text-truncate">{{paymentList.start_date}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Total Amount Charged">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Total Amount Charged (د.إ)
                        </mat-header-cell>
                    <mat-cell *matCellDef="let paymentList">
                        <button mat-raised-button color="accent"
                            (click)="paymentTransaction('charged',paymentList)">{{paymentList.amount_charged}}</button>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Total Amount Paid">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Total Amount Paid (د.إ)</mat-header-cell>
                    <mat-cell *matCellDef="let paymentList">
                        <button mat-raised-button style="background-color:green;color: white;"
                            (click)="paymentTransaction('paid',paymentList)">{{paymentList.amount_paid}}</button>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Total Amount Pending">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Total Amount Pending (د.إ)</mat-header-cell>
                    <mat-cell *matCellDef="let paymentList">
                        <button mat-raised-button
                            (click)="paymentEnd(paymentList.amount_charged-paymentList.amount_paid,paymentList)"
                            style="background-color: red;color: white;">{{paymentList.amount_charged-paymentList.amount_paid}}</button>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="Pay">
                    <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
                    <mat-cell *matCellDef="let paymentList">
                        <button  mat-raised-button (click)="pay(paymentList)"
                            style="background-color: red;color: white;">Pay</button>
                    </mat-cell>
                </ng-container>

                <ng-container matColumnDef="renew">
                    <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
                    <mat-cell *matCellDef="let paymentList">
                        <button mat-raised-button color="accent" *ngIf="paymentList.renew"
                            (click)="Renew(paymentList)">Renew</button>
                    </mat-cell>
                </ng-container>

                <mat-header-row *matHeaderRowDef=" displayedColumns"> </mat-header-row>
                <mat-row *matRowDef="let paymentList; columns: displayedColumns;"></mat-row>
            </table>
            <!-- <mat-paginator [pageSize]="10"  #paginatorRef [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator> -->

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>